## org.w3c.jigsaw.ssi.commands
Class BasicCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.BasicCommand

Direct Known Subclasses:
  CountCommand, ExecCommand, FLastModCommand, FSizeCommand, IncludeCommand, SampleCommand

public abstract class BasicCommand
extends java.lang.Object
implements Command

This class just adds some convenience functions for commands.

Field Summary
`protected static java.lang.String` | `STATE_IF_MODIFIED_SINCE`

Constructor Summary
`BasicCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`protected void` | `handleSimpleIMS(Request request, Reply reply)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_IF_MODIFIED_SINCE

    protected static final java.lang.String STATE_IF_MODIFIED_SINCE

Constructor Detail

### BasicCommand

    public BasicCommand()

Method Detail

### handleSimpleIMS

    protected void handleSimpleIMS(Request request,
                                   Reply reply)

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Specified by:
    acceptCaching in interface Command
  Returns:
    a boolean.